export LOOMIO_ENTRYPOINT_VERSION=v6

# cannot be integrated into entrypoint.sh as it requires the operator to create a user first
function make_last_user_admin()
{
    export DATABASE_URL="postgresql://${POSTGRES_USER}:$(cat /run/secrets/db_password)@db/${POSTGRES_DB}"
    SECRET_KEY_BASE=$(rake secret) rails runner "User.last.update(is_admin: true)"
}

# only run when upgrading from 0.6.0+v2.25.2 and earlier to 1.0.0+v2.25.2 and later
function set_new_db_password()
{
    echo "setting new password for db user..."
	psql -U $POSTGRES_USER -c "ALTER USER $POSTGRES_USER PASSWORD '$(cat /run/secrets/db_password)';"
    echo "done"
}